# MessageBoxDefaultButton

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Specifies constants defining the default button on a [MessageBox](/api/wisej.web/notifications/messagebox.md).

{% tabs %}
{% tab title="C#" %}

```csharp
public enum MessageBoxDefaultButton : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum MessageBoxDefaultButton As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name        | Description                                                 |
| ----------- | ----------------------------------------------------------- |
| **Button1** | The first button on the message box is the default button.  |
| **Button2** | The second button on the message box is the default button. |
| **Button3** | The third button on the message box is the default button.  |

## Used By

| Name                                                                                                                                                          | Description                                                                                                                      |
| ------------------------------------------------------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------- |
| [MessageBox.Show](/api/wisej.web/notifications/messagebox.md#show-text-caption-buttons-icon-defaultbutton-modal-allowhtml-keeponscreen-righttoleft-onclose)   | Displays a message box with the specified text, caption, buttons, icon, default button, options, and Help button.                |
| [MessageBox.ShowAsync](/api/wisej.web/notifications/messagebox.md#showasync-text-caption-buttons-icon-defaultbutton-modal-allowhtml-keeponscreen-righttoleft) | Asynchronously displays a message box with the specified text, caption, buttons, icon, default button, options, and Help button. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/notifications/messagebox/wisej.web.messageboxdefaultbutton.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
